
void p_r_est(double *y, int *mm, double *Rpd, int *dims);
void p_p_est(int *RmD, double *pcuts, double *Rpp, int *dims, int* trace,
             double *pers);
void counts1(int** mD, int n, int p, int r, double **cts);
int count_1m(double k1, double p, double r, double *ct);
void counts2(int **mD, double **cts, int n, int p, int r, double *ctsSum);
double count_2m(int *ma, int *mb, int p, int da, int db);
